
Redmine - Patch #33453

Add plugin CSS classes to plugin settings views

2020-05-16 08:09 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Extracted from #33339#note-20 by Alexander Meindl with patch:

[...] But it should be a possibility for plugin developers to change css for an individual namespace to the plugin settings (without

using deface or Javascript).

If a css class would be added with the plugin name, a plugin developer can change css for the required plugin.

I added a patch for this possible change. It would be very helpful, also for other situations for a Redmine plugin developer.

Related issues:

Related to Redmine - Defect #33339: Broken layout of the preview tab of "Welc... Closed

Associated revisions

Revision 19813 - 2020-06-09 07:20 - Go MAEDA

Add plugin CSS classes to plugin settings views (#33453).

Contributed by Alexander Meindl.

History

#1 - 2020-05-16 08:10 - Mischa The Evil

- Related to Defect #33339: Broken layout of the preview tab of "Welcome text" setting due to unexpectedly applied padding-left added

#2 - 2020-05-30 12:29 - Go MAEDA

- File test-for-33453.patch added

- Target version set to Candidate for next major release

Attaching a test for the patch.

#3 - 2020-06-02 14:29 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-06-09 07:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

settings_patch_with_plugin_classes.patch 548 Bytes 2020-05-16 Mischa The Evil

test-for-33453.patch 829 Bytes 2020-05-30 Go MAEDA
